## alml 2002.03.04

=== Makefile ===
# Used by Debian GNU/Linux.
DESTDIR=debian/alml

# Where to put binaries on "make install".
BIN =  $(DESTDIR)/usr/bin

# Where to put configuration files
ETCDIR= $(DESTDIR)/etc

# Where to put documentation, readme and copyright
DOCDIR= $(DESTDIR)/usr/share/doc/alml

# Man directory
MANDIR= $(DESTDIR)/usr/share/man/man1

# From FHS:
# Any program or package which contains or requires data that 
# doesn't need to be modified should store that data in /usr/share 
# (or /usr/local/share, if installed locally). It is
# recommended that a subdirectory be used in /usr/share for this purpose. 

SHAREDIR= $(DESTDIR)/usr/share/alml


# Must be root to install.
install:

	if test -f $(BIN)/a2engine ; then	\
		rm -f $(BIN)/a2engine ;		\
	fi

	if test -f $(BIN)/alml ; then	\
		rm -f $(BIN)/alml ;		\
	fi

	if test -f $(BIN)/alml-pageref ; then	\
		rm -f $(BIN)/alml-pageref ;		\
	fi

	if test -f $(BIN)/alml-sp2be ; then	\
		rm -f $(BIN)/alml-sp2be ;		\
	fi

	if test -d $(SHAREDIR); then	\
		rm -rf $(SHAREDIR);	\
	fi


	if test -d $(DOCDIR); then	\
		rm -rf $(DOCDIR);	\
	fi

	install -d $(DOCDIR) $(BIN) $(MANDIR) $(SHAREDIR) $(ETCDIR)
	install -m755 ./bin/*			$(BIN)
	cp -a ./share/* 			$(SHAREDIR)
	install -m644 ./etc/alml-tex.sty	$(ETCDIR)
	cp -a ./doc/*				$(DOCDIR)
	install -m644 ./README			$(DOCDIR)

# uninstall
clean:
	rm -rf $(DOCDIR)
	rm -rf $(SHAREDIR)
	rm -f $(BIN)/a2engine
	rm -f $(ETCDIR)/alml-tex.sty
	rm -f $(BIN)/alml 
	rm -f $(BIN)/alml-pageref
	rm -f $(BIN)/alml-sp2be
	rm -f $(BIN)/alml-extra
	rm -f $(BIN)/alml-extra-menu
	rm -f $(BIN)/alml-sp2sp

# No compilation needed
all:


#-----------------------------------------------------------------------
# Internal use
#-----------------------------------------------------------------------

Almlclean:
	./alml.ver
	rm -rf *.orig
	rm -rf *.orig?
	rm -rf *.orig??
	rm -rf *.orig???
	rm -rf bin/*.orig
	rm -rf bin/*.orig?
	rm -rf bin/*.orig??
	rm -rf bin/*.orig???
	rm -rf bin/*~
	rm -rf etc/*.orig
	rm -rf etc/*.orig?
	rm -rf etc/*.orig??
	rm -rf etc/*.orig???
	rm -rf doc/*.orig
	rm -rf doc/*.orig?
	rm -rf doc/*.orig??
	rm -rf doc/*.orig???
	rm -rf man/*.orig
	rm -rf man/*.orig?
	rm -rf man/*.orig??
	rm -rf man/*.orig???
	rm -rf share/*.orig
	rm -rf share/*.orig?
	rm -rf share/*.orig??
	rm -rf share/*.orig???
	rm -rf debian/alml
	rm -rf debian/alml.p*
	rm -rf debian/alml.s*
	rm -f build-stamp
	rm -f configure-stamp
	rm -f po/alml.mo

=== po/Makefile ===
#=======================================================================
# Copyright (C) 2000-2001 Daniele Giacomini daniele@swlibero.org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=======================================================================

#-----------------------------------------------------------------------
# Create PO file.
#-----------------------------------------------------------------------
create:
	alml-extra --perl-to-gettext < ../bin/alml > ../bin/alml~
	alml-extra --perl-to-gettext < ../bin/alml-sp2sp > ../bin/alml-sp2sp~
	alml-extra --perl-to-gettext < ../bin/alml-sp2be > ../bin/alml-sp2be~
	alml-extra --perl-to-gettext < ../bin/alml-extra > ../bin/alml-extra~
	xgettext ../bin/alml~		\
	          ../bin/alml-sp2sp~	\
	          ../bin/alml-sp2be~	\
	          ../bin/alml-extra~

#-----------------------------------------------------------------------
# Join PO files.
#-----------------------------------------------------------------------
update: create
	@mv it.po it.po.orig				; \
	msgmerge it.po.orig messages.po > it.po

#-----------------------------------------------------------------------
# Compile MO files.
#-----------------------------------------------------------------------
compile:
	@mkdir /tmp/alml				; \
	mkdir /tmp/alml/it				; \
	msgfmt -vvvv -o /tmp/alml/it/alml.mo it.po

=== doc/example/Makefile ===
#=======================================================================
# Copyright (c) 2000-2001 Daniele Giacomini daniele@swlibero.org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=======================================================================
# cd WORKING_DIRECTORY ; make ACTION
#=======================================================================

#-----------------------------------------------------------------------
# Macro
#-----------------------------------------------------------------------

# file name prefix.
DOC_PREFIX=example

#-----------------------------------------------------------------------
# Notice that "text" generates an HTML file with the same name
# for the first HTML page. This is why it is before the standard
# HTML typesetting.
#
all:	\
clean 	\
text	\
html	\
ps	\
longps	\
extralongps	\
largeps	\
extralargeps	\
pdf

#-----------------------------------------------------------------------
clean:
	@echo "Cleaning..."				; \
	find . -name core    -exec rm -f \{\} \;	; \
	rm -f $(DOC_PREFIX)*.tex			; \
	rm -f $(DOC_PREFIX)*.dvi			; \
	rm -f $(DOC_PREFIX)*.sp				; \
	rm -f $(DOC_PREFIX)*.ps				; \
	rm -f $(DOC_PREFIX)*.pdf			; \
	rm -f $(DOC_PREFIX)*.txt			; \
	rm -f $(DOC_PREFIX)*.log			; \
	rm -f $(DOC_PREFIX)*.aux			; \
	rm -f $(DOC_PREFIX)*.tmp			; \
	rm -f $(DOC_PREFIX)*.tchk			; \
	rm -f $(DOC_PREFIX)*.tdiag			; \
	rm -f $(DOC_PREFIX)*.diag			; \
	rm -f *.html					; \
	rm -f *.bak					; \
	rm -f *.jpg					; \
	rm -f *.ps					; \
	rm -f *\~

#-----------------------------------------------------------------------
check:
	@alml --sgml-check				\
	      --verbose                        		\
	      $(DOC_PREFIX).sgml

#-----------------------------------------------------------------------
dvi:
	@alml --dvi				\
	      --verbose                         \
	      $(DOC_PREFIX).sgml

#-----------------------------------------------------------------------
ps:
	@alml --ps				\
	      --verbose                         \
	      $(DOC_PREFIX).sgml

#-----------------------------------------------------------------------
longps:
	@alml --ps				\
	      --verbose                         \
	      --compact				\
	      --long				\
	      --page-numbering=plain		\
	      $(DOC_PREFIX).sgml

#-----------------------------------------------------------------------
extralongps:
	@alml --ps				\
	      --verbose                         \
	      --compact				\
	      --extralong			\
	      --page-numbering=plain		\
	      $(DOC_PREFIX).sgml

#-----------------------------------------------------------------------
largeps:
	@alml --ps				\
	      --verbose                         \
	      --compact				\
	      --large				\
	      --page-numbering=plain		\
	      $(DOC_PREFIX).sgml

#-----------------------------------------------------------------------
extralargeps:
	@alml --ps				\
	      --verbose                         \
	      --compact				\
	      --extralarge			\
	      --page-numbering=plain		\
	      $(DOC_PREFIX).sgml

#-----------------------------------------------------------------------
pdf:
	@alml --pdf				\
	      --verbose                         \
	      --page-numbering=plain		\
	      $(DOC_PREFIX).sgml

#-----------------------------------------------------------------------
html:
	@alml --html				\
	      --verbose       			\
	      $(DOC_PREFIX).sgml

#-----------------------------------------------------------------------
text:
	@alml --html-text			\
	      --verbose                         \
	      $(DOC_PREFIX).sgml		; \
	lynx -dump				\
	     -nolist				\
	     -dont_wrap_pre			\
	     $(DOC_PREFIX).html			\
	      > $(DOC_PREFIX).txt

=== debian/changelog ===
alml (2002.03.04) unstable; urgency=low

  * Packaging 2002.03.04 release.
  * Added tetex-eurosym in control file
  * Software tree structure still the same, so no changes in debian/rules or in
    Makefile

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 10 Mar 2002 18:44:00 +0200

alml (2002.02.09) unstable; urgency=low

  * Table cell can contain in-line or some kind of block elements.

 -- Daniele Giacomini <daniele@swlibero.org>  Fri, 08 Feb 2002 19:00:00 +0100

alml (2002.02.08) unstable; urgency=low

  * Packaging 2002.02.07 release.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Fri, 8 Feb 2002 16:11:00 +0200

alml (2002.02.07) unstable; urgency=low

  * Now a table cell can contain also the "syntax" element, although it
    is a block element and not an in-line.
  * Corrected typesetting for '"'.
  * To compile "a2" correctly, teTeX should be configured to have
    font_mem_size=800000.
  * Corrected typesetting for literal elements into LaTeX for
    "'" and ",".
  * Added experimental Euro symbol, with &euro; SGML macro.
  * Modified the table for HTML typesetting, to allow also non standard
    tables to work correctly.
      
 -- Daniele Giacomini <daniele@swlibero.org>  Thu, 31 Jan 2002 12:00:00 +0100

alml (2001.09.16) unstable; urgency=low

  * Packaging 2001.09.03 release.
  * First Debian release.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 24 Dec 2001 19:27:00 +0200

alml (2001.10.09) unstable; urgency=low

  * New upstream version.
      
 -- Daniele Giacomini <daniele@swlibero.org>  Tue, 19 Oct 2001 19:00:00 +0200

alml (2001.09.14) unstable; urgency=low

  * New upstream version.
      
 -- Daniele Giacomini <daniele@swlibero.org>  Fri, 14 Sep 2001 12:58:00 +0200

alml (2001.08.31) unstable; urgency=low

  * New upstream version.
      
 -- Gaetano Paolone <bigpaul@linuxfaq.it>  Fri, 31 Aug 2001 14:55:00 +0200

alml (2001-08-29) unstable; urgency=low

  * While configuration file is only one, it have been moved
    from /etc/alml/ to /etc/.
  * Midified Copyright file. Author(s) changed to Author as
    lintian requires.
  * debian/conffiles
  * Version number is like upstream Author version.
      
 -- Gaetano Paolone <bigpaul@linuxfaq.it>  Wed, 29 Aug 2001 23:55:00 +0200

alml (0.0.20010829-3) unstable; urgency=low

  * Piccole modifiche all'elemento tabular nella composizione
    attraverso LaTeX.

 -- Daniele Giacomini <daniele@swlibero.org>  Wed, 29 Aug 2001 13:50:00 +0200

alml (0.0.20010829-2) unstable; urgency=low

  * Added postinst script. It modifies pool_size value in
    /etc/texmf/texmf.cnf and then it runs texconfig init
    to load new configuration. Old pool_size value has been
    quoted in a comment after the new value.

 -- Gaetano Paolone <bigpaul@linuxfaq.it>  Wed, 29 Aug 2001 12:09:00 +0200

alml (0.0.20010829-1) unstable; urgency=low

  * Piccolissime modifiche al Makefile

 -- Gaetano Paolone <bigpaul@linuxfaq.it>  Wed, 29 Aug 2001 00:25:00 +0200

alml (0.0.20010828-3) unstable; urgency=low

  * Spostati altri file da /etc/ a /usr/share/alml/, con le modifiche
    necessarie nel catalogo SGML e nel programma alml.

 -- Daniele Giacomini <daniele@swlibero.org>  Tue, 28 Aug 2001 23:15:00 +0200

alml (0.0.20010828-2) unstable; urgency=low

  * Le directory html/ xml/ e entities/ sono state spostate in
  * /usr/share/alml. Modificato il sorgente di conseguenza.

 -- Gaetano Paolone <bigpaul@linuxfaq.it>  Tue, 28 Aug 2001 20:25:00 +0200

alml (0.0.20010828-1) unstable; urgency=low

  * Spostati i programmi Perl nella sottodirectory bin/.
  * Integrata la maggior parte delle modifiche di Gaetano Paolone nel
  * sorgente originale.

 -- Daniele Giacomini <daniele@swlibero.org>  Tue, 28 Aug 2001 11:25:00 +0200

alml (0.0.20010818-1) unstable; urgency=low

  * Initial Release.
  * modificato il Makefile, modificata la struttura delle directory
  * del pacchetto originario

 -- Gaetano Paolone <bigpaul@linuxfaq.it>  Sat, 25 Aug 2001 21:46:35 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: alml
Section: doc
Priority: optional
Maintainer: Gaetano Paolone (bigpaul) <bigpaul@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), gettext
Standards-Version: 3.5.2

Package: alml
Architecture: all
Depends: ${perl:Depends}, tetex-bin (>= 0.9.990310-1), tetex-extra (>= 1.0.2), html2ps (>= 1.0), liblocale-gettext-perl (>= 1.01-8), sharutils (>=4.2.1-1), imagemagick (>= 4.2.8-9), sp, psutils (>= 1.17-9), tetex-eurosym
Suggests: postscript-viewer, pdf-viewer
Description: This package provides a SGML typesetting system.
 Alml is a SGML typesetting system developed
 for a big italian document: "Appunti di informatica libera".
 Alml is made for very big documentation projects, and can generate
 PDF, PostScript, HTML and pure text output.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/alml.sgml > alml.1
	msgfmt -o po/alml.mo po/it.po
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	rm -f build-stamp configure-stamp
	-cd debian && rm -rf files* substvars alml*
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/alml.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/alml
	mkdir -p debian/alml/usr/share/locale/it/LC_MESSAGES/
	cp po/alml.mo debian/alml/usr/share/locale/it/LC_MESSAGES/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron

# Installing man pages...

	cp man/alml.1 debian/alml/usr/share/man/man1/
	cp man/a2engine.1 debian/alml/usr/share/man/man1/
	cp man/alml-extra.1 debian/alml/usr/share/man/man1/
	cp man/alml-extra-menu.1 debian/alml/usr/share/man/man1/
	

	ln -s alml.1 debian/alml/usr/share/man/man1/alml-pageref.1
	ln -s alml.1 debian/alml/usr/share/man/man1/alml-sp2be.1
	ln -s alml.1 debian/alml/usr/share/man/man1/alml-sp2sp.1

#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
master.swlibero.org	/~daniele/software/alml	alml-(.*)\.tar\.gz	debian	uupdate

## alml 2005.01.01-2

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # (or /usr/local/share, if installed locally). It is
 # recommended that a subdirectory be used in /usr/share for this purpose. 
 
-SHAREDIR= $(DESTDIR)/usr/share/alml
+SHAREDIR= $(DESTDIR)/usr/share/sgml/alml
 
 
 # Must be root to install.
@@ -50,19 +50,19 @@
 		rm -rf $(DOCDIR);	\
 	fi
 
-	install -d $(DOCDIR) $(BIN) $(MANDIR) $(SHAREDIR) $(ETCDIR)
+	install -d $(DOCDIR) $(BIN) $(MANDIR) $(SHAREDIR) 
 	install -m755 ./bin/*			$(BIN)
-	cp -a ./share/* 			$(SHAREDIR)
-	install -m644 ./etc/alml-tex.sty	$(ETCDIR)
+	#install -m644 ./etc/alml-tex.sty	$(ETCDIR)
 	cp -a ./doc/*				$(DOCDIR)
 	install -m644 ./README			$(DOCDIR)
+	cp -a ./share/sgml/* 			$(SHAREDIR)
 
 # uninstall
 clean:
 	rm -rf $(DOCDIR)
 	rm -rf $(SHAREDIR)
 	rm -f $(BIN)/a2engine
-	rm -f $(ETCDIR)/alml-tex.sty
+#	rm -f $(ETCDIR)/alml-tex.sty
 	rm -f $(BIN)/alml 
 	rm -f $(BIN)/alml-pageref
 	rm -f $(BIN)/alml-sp2be
@@ -80,34 +80,18 @@
 
 Almlclean:
 	./alml.ver
-	rm -rf *.orig
-	rm -rf *.orig?
-	rm -rf *.orig??
-	rm -rf *.orig???
-	rm -rf bin/*.orig
-	rm -rf bin/*.orig?
-	rm -rf bin/*.orig??
-	rm -rf bin/*.orig???
+	rm -rf *.orig*
+	rm -rf bin/*.orig*
 	rm -rf bin/*~
-	rm -rf etc/*.orig
-	rm -rf etc/*.orig?
-	rm -rf etc/*.orig??
-	rm -rf etc/*.orig???
-	rm -rf doc/*.orig
-	rm -rf doc/*.orig?
-	rm -rf doc/*.orig??
-	rm -rf doc/*.orig???
-	rm -rf man/*.orig
-	rm -rf man/*.orig?
-	rm -rf man/*.orig??
-	rm -rf man/*.orig???
-	rm -rf share/*.orig
-	rm -rf share/*.orig?
-	rm -rf share/*.orig??
-	rm -rf share/*.orig???
+	rm -rf etc/*.orig*
+	rm -rf doc/*.orig*
+	rm -rf man/*.orig*
+	rm -rf share/*.orig*
+	rm -rf share/sgml/*.orig*
 	rm -rf debian/alml
 	rm -rf debian/alml.p*
 	rm -rf debian/alml.s*
 	rm -f build-stamp
 	rm -f configure-stamp
 	rm -f po/alml.mo
+	cd doc/example ; make clean

=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #=======================================================================
-# Copyright (C) 2000-2001 Daniele Giacomini daniele@swlibero.org
+# Copyright (C) 2000-2004 Daniele Giacomini daniele@swlibero.org
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== doc/example/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #=======================================================================
-# Copyright (c) 2000-2001 Daniele Giacomini daniele@swlibero.org
+# Copyright (C) 2000-2003 Daniele Giacomini daniele@swlibero.org
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -48,6 +48,7 @@
 	rm -f $(DOC_PREFIX)*.tex			; \
 	rm -f $(DOC_PREFIX)*.dvi			; \
 	rm -f $(DOC_PREFIX)*.sp				; \
+	rm -f $(DOC_PREFIX)*.sp2			; \
 	rm -f $(DOC_PREFIX)*.ps				; \
 	rm -f $(DOC_PREFIX)*.pdf			; \
 	rm -f $(DOC_PREFIX)*.txt			; \
@@ -57,9 +58,17 @@
 	rm -f $(DOC_PREFIX)*.tchk			; \
 	rm -f $(DOC_PREFIX)*.tdiag			; \
 	rm -f $(DOC_PREFIX)*.diag			; \
+	rm -f $(DOC_PREFIX)*.pageloc			; \
+	rm -f $(DOC_PREFIX)*.pageref			; \
+	rm -f $(DOC_PREFIX)*.debug			; \
+	rm -f $(DOC_PREFIX)*.out			; \
+	rm -f alml.diag					; \
+	rm -f .diag					; \
+	rm -f .log					; \
 	rm -f *.html					; \
 	rm -f *.bak					; \
 	rm -f *.jpg					; \
+	rm -f *.midi					; \
 	rm -f *.ps					; \
 	rm -f *\~

=== debian/changelog ===
alml (2005.01.01-2) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Thu, 17 Feb 2005 00:00:00 +0100

alml (2004.11.01-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 01 Nov 2004 00:00:00 +0100

alml (2004.10.10-4) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 10 Oct 2004 00:00:00 +0100

alml (2004.10.10-3) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 10 Oct 2004 00:00:00 +0100

alml (2004.10.10-2) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 10 Oct 2004 00:00:00 +0100

alml (2004.10.10-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 10 Oct 2004 00:00:00 +0100

alml (2004.09.24-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Fri, 24 Sep 2004 00:00:00 +0100

alml (2004.09.16-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Thu, 16 Sep 2004 00:00:00 +0100

alml (2004.09.05-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 05 Sep 2004 00:00:00 +0100

alml (2004.09.02-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Thu, 02 Sep 2004 00:00:00 +0100

alml (2004.09.01-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Wed, 01 Sep 2004 00:00:00 +0100

alml (2004.08.30-2) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 30 Aug 2004 00:00:00 +0100

alml (2004.08.30-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 30 Aug 2004 00:00:00 +0100

alml (2004.08.07-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sat, 07 Aug 2004 00:00:00 +0100

alml (2004.07.27-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Tue, 27 Jul 2004 00:00:00 +0100

alml (2004.07.19-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 19 Jul 2004 00:00:00 +0100

alml (2004.07.18-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 18 Jul 2004 00:00:00 +0100

alml (2004.07.14-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Wed, 14 Jul 2004 00:00:00 +0100

alml (2004.07.10-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sat, 10 Jul 2004 00:00:00 +0100

alml (2004.07.01-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Thu, 01 Jul 2004 00:00:00 +0100

alml (2004.06.14-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 14 Jun 2004 00:00:00 +0100

alml (2004.05.29-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sat, 29 May 2004 00:00:00 +0100

alml (2004.05.23-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 23 May 2004 00:00:00 +0100

alml (2004.05.21-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Fri, 21 May 2004 00:00:00 +0100

alml (2004.05.20-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Thu, 20 May 2004 00:00:00 +0100

alml (2004.05.12-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Wed, 12 May 2004 00:00:00 +0100

alml (2004.05.01-1) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sat, 01 May 2004 00:00:00 +0100

alml (2004.04.29) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Wed, 29 Apr 2004 00:00:00 +0100

alml (2004.04.28) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Tue, 28 Apr 2004 00:00:00 +0100

alml (2004.04.27) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 27 Apr 2004 00:00:00 +0100

alml (2004.04.17) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 17 Apr 2004 00:00:00 +0100

alml (2004.04.06) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Tue, 06 Apr 2004 00:00:00 +0100

alml (2004.03.23) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Tue, 23 Mar 2004 00:00:00 +0100

alml (2004.03.22) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 22 Mar 2004 00:00:00 +0100

alml (2004.03.21) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 21 Mar 2004 00:00:00 +0100

alml (2004.03.16) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Tue, 16 Mar 2004 00:00:00 +0100

alml (2004.02.04) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Wed, 02 Feb 2004 00:00:00 +0100

alml (2004.01.01) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Thu, 01 Jan 2004 00:00:00 +0100

alml (2003.10.27) unstable; urgency=low
  * New upstream version.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 27 Oct 2003 24:00:00 +0100



=== debian/control ===
Source: alml
Section: text
Priority: optional
Maintainer: Gaetano Paolone (bigpaul) <bigpaul@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), gettext
Standards-Version: 3.5.8.0

Package: alml
Architecture: all
Depends: perl, tetex-bin (>= 0.9.990310-1), tetex-extra (>= 1.0.2), latex-ucs, latex-ucs-contrib, latex-ucs-uninames, html2ps (>= 1.0), liblocale-gettext-perl (>= 1.01-8), sharutils (>= 4.2.1-1), imagemagick (>= 4.2.8-9), sp, psutils (>= 1.17-9), gs, gs-common, sgml-base, sgml-data, tetex-base, dvipdfm, lilypond (>= 2.1.0), transfig, dvidvi, gnuplot
Conflicts: gs-gpl (8.01-4), gs (8.01-4)
Description: SGML typesetting system able to generate PDF, PS, HTML and TXT
 Alml is a SGML typesetting system developed
 for a big italian document: "Appunti di informatica libera";
 Alml is made for very big documentation projects, and can generate
 PDF, PostScript, HTML and pure text output.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=2
 
 configure: configure-stamp
 configure-stamp:
@@ -47,6 +47,10 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/alml
 	mkdir -p debian/alml/usr/share/locale/it/LC_MESSAGES/
 	cp po/alml.mo debian/alml/usr/share/locale/it/LC_MESSAGES/
+	mkdir -p debian/alml/etc/texmf/texmf.d/
+	mkdir -p debian/alml/usr/share/alml/
+	mkdir -p debian/alml/etc/sgml/
+	cp etc/texmf/texmf.d/94alml.cnf debian/alml/etc/texmf/texmf.d/
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -57,7 +61,7 @@
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf	
-	dh_installdocs
+	dh_installdocs -n
 	dh_installexamples
 #	dh_installmenu
 #	dh_installlogrotate
@@ -78,6 +82,7 @@
 	ln -s alml.1 debian/alml/usr/share/man/man1/alml-pageref.1
 	ln -s alml.1 debian/alml/usr/share/man/man1/alml-sp2be.1
 	ln -s alml.1 debian/alml/usr/share/man/man1/alml-sp2sp.1
+	ln -s alml.1 debian/alml/usr/share/man/man1/alml-crlf-filter.1
 
 #	dh_installinfo
 #	dh_undocumented

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
cdn.mirror.garr.it	/mirrors/AppuntiLinux/software	alml-(.*)\.tar\.gz	debian	uupdate

## alml 2005.01.01-2.1

=== debian/changelog ===
alml (2005.01.01-2.1) unstable; urgency=low
  * NMU with maintainer's blessing.
  * Use dviselect instead of dvidvi (which is about to be removed).
    Closes: #328029.

 -- Matej Vela <vela@debian.org>  Wed, 28 Sep 2005 10:18:13 +0200

=== debian/control ===
Source: alml
Section: text
Priority: optional
Maintainer: Gaetano Paolone (bigpaul) <bigpaul@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), gettext
Standards-Version: 3.5.8.0

Package: alml
Architecture: all
Depends: perl, tetex-bin (>= 0.9.990310-1), tetex-extra (>= 1.0.2), latex-ucs, latex-ucs-contrib, latex-ucs-uninames, html2ps (>= 1.0), liblocale-gettext-perl (>= 1.01-8), sharutils (>= 4.2.1-1), imagemagick (>= 4.2.8-9), sp, psutils (>= 1.17-9), gs, gs-common, sgml-base, sgml-data, tetex-base, dvipdfm, lilypond (>= 2.1.0), transfig, dviutils, gnuplot
Conflicts: gs-gpl (8.01-4), gs (8.01-4)
Description: SGML typesetting system able to generate PDF, PS, HTML and TXT
 Alml is a SGML typesetting system developed
 for a big italian document: "Appunti di informatica libera";
 Alml is made for very big documentation projects, and can generate
 PDF, PostScript, HTML and pure text output.

## alml 2005.01.01-2.2

=== debian/changelog ===
alml (2005.01.01-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix broken conflicts (Closes: #352796).
  * Run update-fmtutil and update-catalog conditionally (Closes: #325911).

 -- Luk Claes <luk@debian.org>  Mon, 27 Feb 2006 19:59:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: alml
 Architecture: all
 Depends: perl, tetex-bin (>= 0.9.990310-1), tetex-extra (>= 1.0.2), latex-ucs, latex-ucs-contrib, latex-ucs-uninames, html2ps (>= 1.0), liblocale-gettext-perl (>= 1.01-8), sharutils (>= 4.2.1-1), imagemagick (>= 4.2.8-9), sp, psutils (>= 1.17-9), gs, gs-common, sgml-base, sgml-data, tetex-base, dvipdfm, lilypond (>= 2.1.0), transfig, dviutils, gnuplot
-Conflicts: gs-gpl (8.01-4), gs (8.01-4)
+Conflicts: gs-gpl (= 8.01-4), gs (= 8.01-4)
 Description: SGML typesetting system able to generate PDF, PS, HTML and TXT
  Alml is a SGML typesetting system developed
  for a big italian document: "Appunti di informatica libera";

## alml 2005.01.01-2.2ubuntu1

=== debian/changelog ===
alml (2005.01.01-2.2ubuntu1) gutsy; urgency=low

  * debian/control:
    + dependencies:
      - drop latex-ucs-uninames (removed in favor of latex-ucs)
      - replace dvipdfm, tetex-bin with texlive-base-bin, texlive-latex-base
      - replace gs, gs-common with ghostscript
    + adhere to DebianMaintainerField spec.
  * debian/rules: call [ ! -f Makefile ] || $(MAKE) clean instead of
    -$(MAKE) clean.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 05 Aug 2007 19:15:07 +0200

=== debian/control ===
Source: alml
Section: text
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Gaetano Paolone (bigpaul) <bigpaul@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), gettext
Standards-Version: 3.5.8.0

Package: alml
Architecture: all
Depends: perl, texlive-latex-base, tetex-extra (>= 1.0.2), latex-ucs, latex-ucs-contrib, html2ps (>= 1.0), liblocale-gettext-perl (>= 1.01-8), sharutils (>= 4.2.1-1), imagemagick (>= 4.2.8-9), sp, psutils (>= 1.17-9), ghostscript, sgml-base, sgml-data, tetex-base, texlive-base-bin, lilypond (>= 2.1.0), transfig, dviutils, gnuplot
Conflicts: gs-gpl (= 8.01-4), gs (= 8.01-4)
Description: SGML typesetting system able to generate PDF, PS, HTML and TXT
 Alml is a SGML typesetting system developed
 for a big italian document: "Appunti di informatica libera";
 Alml is made for very big documentation projects, and can generate
 PDF, PostScript, HTML and pure text output.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	# Add here commands to clean up after the build process.
 	rm -f build-stamp configure-stamp
 	-cd debian && rm -rf files* substvars alml*
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
